coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[coreutils] [PATCH] tests: avoid FP failure when run under valgrind


From: Jim Meyering
Subject: [coreutils] [PATCH] tests: avoid FP failure when run under valgrind
Date: Sun, 12 Dec 2010 14:47:45 +0100

I noticed a false-positive failure when testing valgrind-wrapped tools:

>From 45ff91af2eeee4f84eff331cbbc5c1a3f4a84248 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sat, 11 Dec 2010 18:44:57 +0100
Subject: [PATCH] tests: avoid FP failure when run under valgrind

* tests/misc/printenv: Filter out LD_PRELOAD, as the comment
said, not LD_LIBRARY.
---
 tests/misc/printenv |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/misc/printenv b/tests/misc/printenv
index 4a56917..c91785a 100755
--- a/tests/misc/printenv
+++ b/tests/misc/printenv
@@ -23,8 +23,8 @@ print_ver_ printenv
 # printenv as a builtin, so we must invoke it via "env".
 # But beware of $_, set by many shells to the last command run.
 # Also, filter out LD_PRELOAD, which is set when running under valgrind.
-env | grep -Ev '^(_|LD_LIBRARY=)' > exp || framework_failure
-env -- printenv | grep -Ev '^(_|LD_LIBRARY=)' > out || fail=1
+env | grep -Ev '^(_|LD_PRELOAD=)' > exp || framework_failure
+env -- printenv | grep -Ev '^(_|LD_PRELOAD=)' > out || fail=1
 compare exp out || fail=1

 # POSIX is clear that environ may, but need not be, sorted.
--
1.7.3.3



reply via email to

[Prev in Thread] Current Thread [Next in Thread]